commit:     f1b2302f707fd7759f97b1eae20398dc58ccc7d8
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  6 22:23:06 2023 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Dec  7 09:04:55 2023 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=f1b2302f

kde-apps/kdeutils-meta: 23.08.4 version bump

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 .../kdeutils-meta/kdeutils-meta-23.08.4.ebuild     | 51 ++++++++++++++++++++++
 1 file changed, 51 insertions(+)

diff --git a/kde-apps/kdeutils-meta/kdeutils-meta-23.08.4.ebuild 
b/kde-apps/kdeutils-meta/kdeutils-meta-23.08.4.ebuild
new file mode 100644
index 0000000000..1cadda4da5
--- /dev/null
+++ b/kde-apps/kdeutils-meta/kdeutils-meta-23.08.4.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="kdeutils - merge this to pull in all kdeutils-derived packages"
+HOMEPAGE="https://apps.kde.org/categories/utilities/";
+
+LICENSE="metapackage"
+SLOT="5"
+KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~x86"
+IUSE="7zip cups gpg lrz plasma rar +webengine"
+
+RDEPEND="
+       >=app-cdr/dolphin-plugins-mountiso-${PV}:${SLOT}
+       >=app-crypt/keysmith-${PV}
+       >=kde-apps/ark-${PV}:${SLOT}
+       >=kde-apps/filelight-${PV}:${SLOT}
+       >=kde-apps/kate-${PV}:${SLOT}
+       >=kde-apps/kbackup-${PV}:${SLOT}
+       >=kde-apps/kcalc-${PV}:${SLOT}
+       >=kde-apps/kcharselect-${PV}:${SLOT}
+       >=kde-apps/kdebugsettings-${PV}:${SLOT}
+       >=kde-apps/kdf-${PV}:${SLOT}
+       >=kde-apps/kteatime-${PV}:${SLOT}
+       >=kde-apps/ktimer-${PV}:${SLOT}
+       >=kde-apps/kwalletmanager-${PV}:${SLOT}
+       >=kde-apps/sweeper-${PV}:${SLOT}
+       >=kde-apps/yakuake-${PV}:${SLOT}
+       >=kde-misc/kweather-${PV}:${SLOT}
+       >=kde-misc/markdownpart-${PV}:${SLOT}
+       >=sys-block/partitionmanager-${PV}:${SLOT}
+       >=sys-libs/kpmcore-${PV}:${SLOT}
+       cups? ( >=kde-plasma/print-manager-${PV}:${SLOT} )
+       gpg? ( >=kde-apps/kgpg-${PV}:${SLOT} )
+       plasma? ( >=kde-misc/kclock-${PV} )
+       webengine? (
+               >=app-editors/ghostwriter-${PV}
+               >=kde-apps/kimagemapeditor-${PV}:${SLOT}
+       )
+"
+# Optional runtime deps: kde-apps/ark
+RDEPEND="${RDEPEND}
+       7zip? ( app-arch/p7zip )
+       lrz? ( app-arch/lrzip )
+       rar? ( || (
+               app-arch/rar
+               app-arch/unrar
+               app-arch/unar
+       ) )
+"

Reply via email to